package com.goldenwater.gx.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.gx.domain.GxExchangeLog;
import com.goldenwater.gx.mapper.GxExchangeLogMapper;
import com.goldenwater.gx.service.IGxExchangeLogService;

/**
 * 数据交换日志Service业务层处理
 */
@Service
public class GxExchangeLogServiceImpl implements IGxExchangeLogService
{
    @Autowired
    private GxExchangeLogMapper gxExchangeLogMapper;

    @Override
    public GxExchangeLog selectGxExchangeLogById(Long id)
    {
        return gxExchangeLogMapper.selectGxExchangeLogById(id);
    }

    @Override
    public List<GxExchangeLog> selectGxExchangeLogList(GxExchangeLog log)
    {
        return gxExchangeLogMapper.selectGxExchangeLogList(log);
    }

    @Override
    public int insertGxExchangeLog(GxExchangeLog log)
    {
        return gxExchangeLogMapper.insertGxExchangeLog(log);
    }

    @Override
    public int deleteGxExchangeLogByIds(Long[] ids)
    {
        return gxExchangeLogMapper.deleteGxExchangeLogByIds(ids);
    }

    @Override
    public int deleteGxExchangeLogById(Long id)
    {
        return gxExchangeLogMapper.deleteGxExchangeLogById(id);
    }
}
